TapeDrive (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.TapeDrive interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface TapeDrive

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, MediaAccessDevice, ModelObject, java.io.Serializable

    public interface TapeDrive

extends MediaAccessDevice

A tape drive.

Naming Rules:
  0="ansiT10Id" 1="worldWideName"
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.LogicalDevice
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAnsiT10Id()`
`java.lang.String` | `getWorldWideName()` SAN WWN in case the TapeDrive is SAN accessible
`boolean` | `hasAnsiT10Id()`
`boolean` | `hasWorldWideName()`
`void` | `setAnsiT10Id(java.lang.String id)`
`void` | `setWorldWideName(java.lang.String wwn)`

Methods inherited from interface com.collation.platform.model.topology.dev.MediaAccessDevice
`getControllers, getName, getParent, getPhysicalPackage, getStatus, getStorageExtents, getType, hasControllers, hasName, hasParent, hasPhysicalPackage, hasStatus, hasStorageExtents, hasType, setControllers, setName, setParent, setPhysicalPackage, setStatus, setStorageExtents, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getAnsiT10Id

    java.lang.String getAnsiT10Id()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAnsiT10Id

    void setAnsiT10Id(java.lang.String id)

### hasAnsiT10Id

    boolean hasAnsiT10Id()

### getWorldWideName

    java.lang.String getWorldWideName()
                                      throws AttributeNotSetException

  SAN WWN in case the TapeDrive is SAN accessible

  Throws:
    `AttributeNotSetException`

### setWorldWideName

    void setWorldWideName(java.lang.String wwn)

### hasWorldWideName

    boolean hasWorldWideName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD